How to set ruby version on CircleCI 2.0 macOS image?

ios
2.0

#1

Hi.

I’m migrating my iOS project from 1.0 to 2.0 reading this documentation.
I almost finished migration except code signing.
In this documentation, to use fastlane match is recommended, but CircleCI system ruby version is 2.0,
it is too old to use fastlane match easily.

On CircleCI 1.0, we can set ruby version like below.
Is there any settings for that on CircleCI 2.0?

machine:
  ruby:
    version:
      2.3.0


#2

Oh, I overlooked this answer.

https://circleci.com/docs/2.0/testing-ios/#custom-ruby-versions


#3

Thanks for being so proactive! It sounds like the documentation link you posted solved your issue? If that is not the case, please let us know!


#4

This topic was automatically closed 41 days after the last reply. New replies are no longer allowed.